Vulnerability Abstract

Title: Vulnerability in QIWI Wallet for Android
Time: 14 Dec 2011
Author: Daoyuan Wu*, Xiapu Luo* and Rocky K. C. Chang
Department of Computing, The Hong Kong Polytechnic University, Hong Kong
* authors with equal contributions
CVE ID: CVE-2011-4770
Category: Newly Released
Related Vendor: QIWI Wallet Ltd.

Application Information

Archive Time: December 14, 2011 03:14:12 PM HKT
Package Name:
Full Name: QIWI Wallet
Affected Version: 1.13 and 1.14.1 (the latest version in 14 Dec 2011)
Package Installs: 100,000 - 500,000
Market Link:

Vulnerability Details

Status: Breif impact description now releases to public.
Breif Description: Allow a malicious application to access and manipulate user’s extremely sensitive financial cards and accounts.

Vendor Response

Contact Time: Dec 16, 2011 at 3:57 PM HKT
Confirm Time: Dec 16, 2011 at 9:16 PM HKT
Patched Time: Dec 16, 2011 at 9:16 PM HKT
Patched Status: Has patched the vulnerability in version 1.14.2.

Important Notes

Although we only mention one or several affected version in our report, other versions may also be vulnerable, e.g. lower version, pad version or paid version.

Related Vulnerabilities